<script>
import axios from 'axios'
export default {
  data() {
    return {
      items: [],
      title: ""
    }
  },
  methods: {
    async onDelete(id) {
        if (confirm("Are you sure ?")) {
            await axios.delete(`http://localhost:3000/orders/${id}`)
            this.loadData()
        }
    },
    async onCreate(form) {
        await axios.post(`http://localhost:3000/orders`, { title: this.title})
        this.title = '';
        this.loadData()

    },
  async loadData() {
    try {
      const res = await axios.get('http://localhost:3000/orders')
      this.items = res.data
    } catch (error) {
      console.log(error)
    }
  }
  },
  async created() {
    this.loadData()
  },
}
</script>

<template>
    <div>
        <form v-on:submit.prevent="onCreate">
            <fieldset>
                <legend>create order</legend>
                <label key="label-title">Title</label>
                <input type="text" id="label-title" v-model="title"/>
                <input type="submit" />
            </fieldset>
        </form>
    </div>
  <table>
    <thead>
      <tr>
        <th>Title</th>
        <th>Number of product</th>
        <th>Actions</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(item, index) in items" :key="index">
        <td>{{ item.title }}</td>
        <td>{{ item.products?.reduce((p,c) => p + c.quantity, 0) || 0 }}</td>
        <td>
            <RouterLink :to="`/order/${index}`">Show</RouterLink>&nbsp;
            <button v-on:click="onDelete(index)">Delete</button>
        </td>
      </tr>
    </tbody>
  </table>
</template>
